Name:           adwaita-qt
Version:        1.0
Release:        1%{?dist}
License:        LGPLv2+
Summary:        Adwaita theme for Qt-based applications

Url:            https://github.com/MartinBriza/adwaita-qt
Source0:        https://github.com/MartinBriza/adwaita-qt/archive/%{version}/adwaita-qt-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  qt4-devel
BuildRequires:  qt5-qtbase-devel

Requires:       adwaita-qt4

%description
Theme to let Qt applications fit nicely into Gnome environment


%package -n adwaita-qt4
Summary:        Adwaita Qt4 theme

%description -n adwaita-qt4
Adwaita theme variant for applications utilizing Qt4


%package -n adwaita-qt5
Summary:        Adwaita Qt5 theme

%description -n adwaita-qt5
Adwaita theme variant for applications utilizing Qt5


%package -n adwaita-qt-common
Summary:        Adwaita Qt common files

%description -n adwaita-qt-common


%prep
%setup -q -n %{name}-%{version}


%build
mkdir -p "%{_target_platform}-qt4"
pushd "%{_target_platform}-qt4"
%{cmake} -DUSE_QT4=true ..
popd

mkdir -p "%{_target_platform}-qt5"
pushd "%{_target_platform}-qt5"
%{cmake} ..
popd

make %{?_smp_mflags} -C "%{_target_platform}-qt4"
make %{?_smp_mflags} -C "%{_target_platform}-qt5"


%install
make install/fast DESTDIR=%{buildroot} -C "%{_target_platform}-qt4"
make install/fast DESTDIR=%{buildroot} -C "%{_target_platform}-qt5"


%files -n adwaita-qt4
%doc LICENSE.LGPL2 README.md
%{_qt4_plugindir}/styles/adwaita.so

%files -n adwaita-qt5
%doc LICENSE.LGPL2 README.md
%{_qt5_plugindir}/styles/adwaita.so

%files -n adwaita-qt-common

%files


%changelog
* Wed Oct 11 2017 Martin Bříza <mbriza@redhat.com> - 1.0-1
- Update to version 1.0
  Resolves: bz#1479346

* Thu Apr 21 2016 Jan Grulich <jgrulich@redhat.com> - 0.4-1
- Update to version 0.4
  Resolves: bz#1306307

* Mon Apr 18 2016 Jan Grulich <jgrulich@redhat.com> - 0.3-2
- Enable Qt5 version
  Resolves: bz#1306307

* Mon Feb 29 2016 Jan Grulich <jgrulich@redhat.com> - 0.3-1
- Initial package
  Resolves: bz#1306307
